<div class="card" id="inviteUser">
  <div class="card-heading pb-2 d-flex justify-content-between">
    <h5>Benutzer einladen</h5><!--
    <eos-csv-member-upload [ensemble]="ensemble"
                           [organization]="organization"
                           (newEnsembleUserEmitter)="newEnsembleUser($event)"
                           (newInviteEmitter)="newInvite($event)"
                           (newErrorEmitter)="newInviteError($event)"
                           (newOrgaUserEmitter)="newOrgaUser($event)">
    </eos-csv-member-upload>-->
  </div>
  <div class="card-body d-flex justify-content-center" *ngIf="!invites">
    <div class="spinner-border text-primary" role="status">
      <span class="sr-only">Loading...</span>
    </div>
  </div>
  <div class="card-body table-responsive" *ngIf="invites">
    <small class="d-block mb-2">
      Du kannst hier neue Mitglieder zu deinem Verein hinzufügen.
      Wenn die Person onesemble noch nicht verwendet,
      bekommt sie automatisch eine Einladung an die angegebene E-Mail Adresse.
    </small>
    <form novalidate #f="ngForm" *ngIf="isAdmin">
      <div class="form-group">
        <div class="input-group">
          <input class="form-control"
                 type="email" name="addUserMail"
                 id="addUserMail" placeholder="donald@duck.com"
                 [(ngModel)]="newMember.mail"
                 #addUserMail="ngModel"
                 required email>
          <div class="input-group-append">
            <button class="btn btn-success" type="button" (click)="inviteUser()" [disabled]="f.form.invalid && !loading">
              <i class="fas fa-user-plus"></i>
              <span class="d-none d-sm-inline-block pl-1">hinzufügen </span>
              <span *ngIf="loading"><i class="fas fa-spinner spinner"></i></span>
            </button>
          </div>
        </div>
        <app-show-form-errors [control]="addUserMail"></app-show-form-errors>
      </div>
    </form>
    <small class="text-danger" *ngIf="!isAdmin">
      Um Benutzer hinzufügen zu können, die noch nicht im Verein Mitglied sind, benötigst du
      Administratorrechte im Verein.
    </small>
    <alert type="danger" *ngIf="errorList" [dismissible]="true">
      <strong>Import fehlgeschlagen für:</strong>
      <ul>
        <li *ngFor="let error of errorList">
          {{error.user}}: {{error.message}}
        </li>
      </ul>
    </alert>
    <table class="table table-striped">
      <tbody>
      <tr *ngFor="let invite of invites">
        <div class="row p-2">
          <div class="col-md-6">
            {{invite.mail}}
          </div>
          <div class="col-md-6">
            <div class="row">
              <div class="col-8">
                <button class="btn btn-sm btn-success" (click)="sendReminder(invite)" *ngIf="isAdmin" [disabled]="loadReminder">
                  <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true" *ngIf="loadReminder"></span>
                  <span class="sr-only" *ngIf="loadReminder">Loading...</span>
                  <i class="fas fa-user-clock"></i>
                  erinnern
                </button>
              </div>
              <div class="col-4">
                <button class="btn btn-sm btn-outline-danger" (click)="deleteInvite(invite)" *ngIf="isAdmin">
                  <i class="fas fa-trash"></i>
                </button>
              </div>
            </div>
          </div>

        </div>
      </tr>
      <tr *ngIf="invites && invites.length <= 0">
        <td>Zur Zeit sind keine Benutzer eingeladen.</td>
      </tr>
      </tbody>
    </table>
  </div>
</div>